Skip to main content
GET
/
v1
/
process
/
knowledges
/
listStorage
curl --location 'https://api.sarasfinance.com/v1/process/knowledges/listStorage?subProjectId=93d599a6-a396-4ef6-b30e-aff95c56c523&page=1&perPageCount=10' \
--header 'Authorization: Bearer <token>'
{
  "meta": {
    "page": "1",
    "perPageCount": "10",
    "totalCount": "1",
    "totalPages": "1"
  },
  "files": [
    {
      "id": "file_cf90172b",
      "fileName": "litigation_brief.txt",
      "size": "12",
      "locked": false,
      "createdTs": "2026-04-15T19:52:25Z"
    }
  ]
}

Query Parameters

subProjectId
string
required
The unique identifier for the sub-project.
page
string
Pagination page number (optional).
perPageCount
string
Number of results per page (optional).
filters
json
JSON string of filters to apply (e.g. search by filename or stageKey).

Response

meta
object
files
object[]
curl --location 'https://api.sarasfinance.com/v1/process/knowledges/listStorage?subProjectId=93d599a6-a396-4ef6-b30e-aff95c56c523&page=1&perPageCount=10' \
--header 'Authorization: Bearer <token>'
{
  "meta": {
    "page": "1",
    "perPageCount": "10",
    "totalCount": "1",
    "totalPages": "1"
  },
  "files": [
    {
      "id": "file_cf90172b",
      "fileName": "litigation_brief.txt",
      "size": "12",
      "locked": false,
      "createdTs": "2026-04-15T19:52:25Z"
    }
  ]
}

Error Codes

CodeIDDescription
ERROR_PROCESS_META_IS_MISSING_IN_REQUEST1200Metadata missing in request
ERROR_SUBPROCESS_META_NOT_FOUND1202Sub-project metadata not found
ERROR_NOT_ALLOWED_TO_GET1205User unauthorized to view storage